Skip to main content

CancelDatasourceAuthorization

Cancels authorization for an associated data source.

Try it now

You can call this API directly in OpenAPI Explorer, which saves you the trouble of calculating signatures. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Try it now

RAM authorization

The following table describes the authorization information of this API. You can use the Action element in a RAM policy statement to grant a RAM user or RAM role the permission to call this API. The details are as follows:
  • Operation: the specific permission.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that can be authorized in the operation. The details are as follows:
    • An asterisk (*) before a resource type indicates that the resource type is required.
    • For operations that do not support resource-level authorization, All resources is used.
  • Condition keyword: the condition keywords defined by the cloud service itself.
  • Related operation: other permissions required to successfully perform the operation. The caller must also have the permissions of the related operations.
OperationAccess levelResource typeCondition keywordRelated operation
dataanalysisgbi:CancelDatasourceAuthorizationnone
*All resources
*
    None
None

Request syntax

POST /gbi/cancel/datasource HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request.

llm-2v3934xtp49esw64

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response message.

true
errorMsgstring

Error message.

""
codestring

Error code.

""
successboolean

True if the API call succeeded. False if it failed.

true
requestIdstring

The request ID, unique for each request, which facilitates troubleshooting.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC
When success is true, errorMsg and code must be empty strings ("").

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "",
  "code": "",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
Visit the Error Center to view more error codes.